diff --git a/test/integration/run_error_envelope_test.rb b/test/integration/run_error_envelope_test.rb
index 9131ede..12e32b3 100644
--- a/test/integration/run_error_envelope_test.rb
+++ b/test/integration/run_error_envelope_test.rb
@@ -36,10 +36,10 @@ class RunErrorEnvelopeTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "dual signal probe").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-        brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+        brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm_dir))
-        FileUtils.mv(File.join(dir, ".hive-state", "stages", "1-inbox", slug), brainstorm_dir)
+        FileUtils.mv(File.join(dir, ".hive", "stages", "1-inbox", slug), brainstorm_dir)
         ENV["HIVE_FAKE_CLAUDE_EXIT"] = "1" # forces :error marker
 
         out, _err, status = with_captured_exit { Hive::Commands::Run.new(brainstorm_dir, json: true).call }
@@ -63,10 +63,10 @@ class RunErrorEnvelopeTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "concurrent probe").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-        brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+        brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm_dir))
-        FileUtils.mv(File.join(dir, ".hive-state", "stages", "1-inbox", slug), brainstorm_dir)
+        FileUtils.mv(File.join(dir, ".hive", "stages", "1-inbox", slug), brainstorm_dir)
 
         # Plant a fresh stale lock — a live PID owned by us so Lock treats it as a
         # genuine concurrent runner rather than a stale lock to recover.
@@ -104,8 +104,8 @@ class RunErrorEnvelopeTest < Minitest::Test
         capture_io { Hive::Commands::Init.new(dir).call }
         # Seed two folders sharing the same slug across two stages.
         slug = "ambig-260430-aaaa"
-        a = File.join(dir, ".hive-state", "stages", "1-inbox", slug)
-        b = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        a = File.join(dir, ".hive", "stages", "1-inbox", slug)
+        b = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(a)
         FileUtils.mkdir_p(b)
         File.write(File.join(a, "idea.md"), "<!-- WAITING -->\n")
@@ -158,8 +158,8 @@ class RunErrorEnvelopeTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "wrong stage probe").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-        inbox_dir = File.join(dir, ".hive-state", "stages", "1-inbox", slug)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+        inbox_dir = File.join(dir, ".hive", "stages", "1-inbox", slug)
 
         out, _err, status = with_captured_exit do
           Hive::Commands::Run.new(inbox_dir, json: true).call
@@ -188,10 +188,10 @@ class RunErrorEnvelopeTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "config probe").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-        brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+        brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm_dir))
-        FileUtils.mv(File.join(dir, ".hive-state", "stages", "1-inbox", slug), brainstorm_dir)
+        FileUtils.mv(File.join(dir, ".hive", "stages", "1-inbox", slug), brainstorm_dir)
 
         cmd = Hive::Commands::Run.new(brainstorm_dir, json: true)
         cmd.define_singleton_method(:pick_runner) { |_task| raise Hive::ConfigError, "bad config" }
@@ -215,10 +215,10 @@ class RunErrorEnvelopeTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "internal probe").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-        brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+        brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm_dir))
-        FileUtils.mv(File.join(dir, ".hive-state", "stages", "1-inbox", slug), brainstorm_dir)
+        FileUtils.mv(File.join(dir, ".hive", "stages", "1-inbox", slug), brainstorm_dir)
 
         # Force a synthetic RuntimeError mid-run by stubbing pick_runner.
         cmd = Hive::Commands::Run.new(brainstorm_dir, json: true)
@@ -243,10 +243,10 @@ class RunErrorEnvelopeTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "human probe").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-        brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+        brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm_dir))
-        FileUtils.mv(File.join(dir, ".hive-state", "stages", "1-inbox", slug), brainstorm_dir)
+        FileUtils.mv(File.join(dir, ".hive", "stages", "1-inbox", slug), brainstorm_dir)
         File.write(File.join(brainstorm_dir, ".lock"),
                    { "pid" => Process.pid, "slug" => slug, "stage" => "brainstorm" }.to_yaml)
 
diff --git a/test/integration/run_execute_test.rb b/test/integration/run_execute_test.rb
index c35f38f..f01f4d5 100644
--- a/test/integration/run_execute_test.rb
+++ b/test/integration/run_execute_test.rb
@@ -97,14 +97,14 @@ class RunExecuteTest < Minitest::Test
 
   def setup_execute_task(dir, plan_header: nil)
     capture_io { Hive::Commands::Init.new(dir).call }
-    cfg_path = File.join(dir, ".hive-state", "config.yml")
+    cfg_path = File.join(dir, ".hive", "config.yml")
     cfg = YAML.safe_load(File.read(cfg_path))
     @local_worktree_root = Dir.mktmpdir("worktree-root-")
     cfg["worktree_root"] = @local_worktree_root
     File.write(cfg_path, cfg.to_yaml)
 
     slug = "feat-x-260424-aaaa"
-    folder = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+    folder = File.join(dir, ".hive", "stages", "4-execute", slug)
     FileUtils.mkdir_p(folder)
     File.write(File.join(folder, "plan.md"), <<~PLAN)
       #{plan_header}
@@ -398,7 +398,7 @@ class RunExecuteTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "no-plan-260424-aaaa"
-        folder = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        folder = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(folder)
         _, err, status = with_captured_exit { Hive::Commands::Run.new(folder).call }
         assert_equal 1, status
diff --git a/test/integration/run_finalize_test.rb b/test/integration/run_finalize_test.rb
index 3482b3f..d5124de 100644
--- a/test/integration/run_finalize_test.rb
+++ b/test/integration/run_finalize_test.rb
@@ -37,7 +37,7 @@ class RunFinalizeTest < Minitest::Test
   def setup_finalize_task(dir)
     capture_io { Hive::Commands::Init.new(dir).call }
     slug = "fix-bug-260424-aaaa"
-    task_dir = File.join(dir, ".hive-state", "stages", "7-finalize", slug)
+    task_dir = File.join(dir, ".hive", "stages", "7-finalize", slug)
     FileUtils.mkdir_p(task_dir)
     File.write(File.join(task_dir, "plan.md"), "plan content")
     FileUtils.mkdir_p(File.join(task_dir, "reviews"))
diff --git a/test/integration/run_findings_test.rb b/test/integration/run_findings_test.rb
index 47ff6f3..8fde87f 100644
--- a/test/integration/run_findings_test.rb
+++ b/test/integration/run_findings_test.rb
@@ -29,9 +29,9 @@ class RunFindingsTest < Minitest::Test
     capture_io { Hive::Commands::Init.new(dir).call }
     project = File.basename(dir)
     capture_io { Hive::Commands::New.new(project, "review probe").call }
-    inbox = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
+    inbox = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
     slug = File.basename(inbox)
-    execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+    execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
     FileUtils.mkdir_p(File.dirname(execute_dir))
     FileUtils.mv(inbox, execute_dir)
 
@@ -115,7 +115,7 @@ class RunFindingsTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "no reviews here").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
 
         out, err, status = with_captured_exit { Hive::Commands::Findings.new(slug, json: true).call }
         assert_equal Hive::ExitCodes::USAGE, status
@@ -146,7 +146,7 @@ class RunFindingsTest < Minitest::Test
         assert_match(/^- \[x\] missing rate limit/, body)
         assert_match(/^- \[ \] redundant validation/, body)
 
-        log = `git -C #{File.join(dir, ".hive-state")} log --format=%s -1`.strip
+        log = `git -C #{File.join(dir, ".hive")} log --format=%s -1`.strip
         assert_match(/accept findings 1 in ce-review-02\.md/, log)
       end
     end
@@ -203,7 +203,7 @@ class RunFindingsTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         seed_execute_task_with_reviews(dir)
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "4-execute", "*")].first)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "4-execute", "*")].first)
 
         # id 2 is already accepted in the fixture.
         out, _err = capture_io do
@@ -313,7 +313,7 @@ class RunFindingsTest < Minitest::Test
       with_tmp_git_repo do |dir|
         _, execute, slug = seed_execute_task_with_reviews(dir)
         review_path = File.join(execute, "reviews", "ce-review-02.md")
-        rel = review_path.sub("#{File.join(dir, ".hive-state")}/", "")
+        rel = review_path.sub("#{File.join(dir, ".hive")}/", "")
         original = File.read(review_path)
 
         hooks_dir = File.join(dir, ".git", "hooks")
@@ -332,7 +332,7 @@ class RunFindingsTest < Minitest::Test
         assert_includes err, "commit"
         assert_equal original, File.read(review_path),
                      "commit failure must not leave the checkbox changed without an audit commit"
-        staged = `git -C #{File.join(dir, ".hive-state").shellescape} diff --cached --name-only`
+        staged = `git -C #{File.join(dir, ".hive").shellescape} diff --cached --name-only`
         refute_includes staged.lines.map(&:strip), rel,
                         "failed toggle must unstage the review file so a retry can commit it"
 
@@ -362,7 +362,7 @@ class RunFindingsTest < Minitest::Test
         body = File.read(File.join(execute, "reviews", "ce-review-02.md"))
         assert_match(/^- \[ \] missing rate limit/, body)
 
-        log = `git -C #{File.join(dir, ".hive-state")} log --format=%s -1`.strip
+        log = `git -C #{File.join(dir, ".hive")} log --format=%s -1`.strip
         assert_match(/reject findings 2 in ce-review-02\.md/, log)
       end
     end
diff --git a/test/integration/run_open_pr_test.rb b/test/integration/run_open_pr_test.rb
index 7784f0e..996c431 100644
--- a/test/integration/run_open_pr_test.rb
+++ b/test/integration/run_open_pr_test.rb
@@ -46,7 +46,7 @@ class RunOpenPrTest < Minitest::Test
           assert_includes File.read(pr_md),
                           "<!-- COMPLETE pr_url=https://example.com/pr/1 is_draft=false idempotent=true -->"
 
-          finalize_dir = File.join(dir, ".hive-state", "stages", "7-finalize", slug)
+          finalize_dir = File.join(dir, ".hive", "stages", "7-finalize", slug)
           FileUtils.mkdir_p(File.dirname(finalize_dir))
           FileUtils.mv(task_dir, finalize_dir)
           pr_md = File.join(finalize_dir, "pr.md")
@@ -92,7 +92,7 @@ class RunOpenPrTest < Minitest::Test
   def setup_open_pr_task(dir)
     capture_io { Hive::Commands::Init.new(dir).call }
     slug = "fix-bug-260424-aaaa"
-    task_dir = File.join(dir, ".hive-state", "stages", "5-open-pr", slug)
+    task_dir = File.join(dir, ".hive", "stages", "5-open-pr", slug)
     FileUtils.mkdir_p(task_dir)
     File.write(File.join(task_dir, "plan.md"), "plan content")
     File.write(File.join(task_dir, "task.md"), "## Execute Output\nimplemented\n")
diff --git a/test/integration/run_plan_test.rb b/test/integration/run_plan_test.rb
index 90d17ec..60d6249 100644
--- a/test/integration/run_plan_test.rb
+++ b/test/integration/run_plan_test.rb
@@ -25,9 +25,9 @@ class RunPlanTest < Minitest::Test
           Hive::Commands::Init.new(dir).call
           Hive::Commands::New.new(File.basename(dir), "plan stage test").call
         end
-        inbox = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
+        inbox = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
         slug = File.basename(inbox)
-        plan_dir = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        plan_dir = File.join(dir, ".hive", "stages", "3-plan", slug)
         FileUtils.mkdir_p(File.dirname(plan_dir))
         FileUtils.mv(inbox, plan_dir)
         File.write(File.join(plan_dir, "brainstorm.md"), "## Requirements\n- x\n<!-- COMPLETE -->\n")
diff --git a/test/integration/run_review_test.rb b/test/integration/run_review_test.rb
index 370cbc1..82ba7c9 100644
--- a/test/integration/run_review_test.rb
+++ b/test/integration/run_review_test.rb
@@ -36,7 +36,7 @@ class RunReviewTest < Minitest::Test
 
   def setup_review_task(dir, with_worktree: true, cfg_overrides: {})
     capture_io { Hive::Commands::Init.new(dir).call }
-    cfg_path = File.join(dir, ".hive-state", "config.yml")
+    cfg_path = File.join(dir, ".hive", "config.yml")
     cfg = YAML.safe_load(File.read(cfg_path))
     @local_worktree_root = Dir.mktmpdir("review-wt-root-")
     cfg["worktree_root"] = @local_worktree_root
@@ -51,7 +51,7 @@ class RunReviewTest < Minitest::Test
     File.write(cfg_path, cfg.to_yaml)
 
     slug = "feat-x-260424-aaaa"
-    folder = File.join(dir, ".hive-state", "stages", "6-review", slug)
+    folder = File.join(dir, ".hive", "stages", "6-review", slug)
     FileUtils.mkdir_p(folder)
     File.write(File.join(folder, "plan.md"), "## Overview\nstub\n<!-- COMPLETE -->\n")
     File.write(File.join(folder, "task.md"), <<~MD)
diff --git a/test/integration/run_stage_action_test.rb b/test/integration/run_stage_action_test.rb
index 9f2839c..64b5b47 100644
--- a/test/integration/run_stage_action_test.rb
+++ b/test/integration/run_stage_action_test.rb
@@ -23,7 +23,7 @@ class RunStageActionTest < Minitest::Test
       Hive::Commands::Init.new(dir).call
       Hive::Commands::New.new(File.basename(dir), text).call
     end
-    inbox = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
+    inbox = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
     [ inbox, File.basename(inbox) ]
   end
 
@@ -31,7 +31,7 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         _inbox, slug = seed_inbox(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         ENV["HIVE_FAKE_CLAUDE_WRITE_FILE"] = File.join(brainstorm, "brainstorm.md")
         ENV["HIVE_FAKE_CLAUDE_WRITE_CONTENT"] = "## Round 1\n<!-- WAITING -->\n"
 
@@ -47,11 +47,11 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         File.write(File.join(brainstorm, "brainstorm.md"), "## Requirements\n<!-- COMPLETE -->\n")
-        plan = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        plan = File.join(dir, ".hive", "stages", "3-plan", slug)
         ENV["HIVE_FAKE_CLAUDE_WRITE_FILE"] = File.join(plan, "plan.md")
         ENV["HIVE_FAKE_CLAUDE_WRITE_CONTENT"] = "## Plan\n<!-- COMPLETE -->\n"
 
@@ -67,7 +67,7 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         File.write(File.join(brainstorm, "brainstorm.md"), "## Round 1\n<!-- WAITING -->\n")
@@ -84,8 +84,8 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
-        plan = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
+        plan = File.join(dir, ".hive", "stages", "3-plan", slug)
         FileUtils.mkdir_p(brainstorm)
         FileUtils.mkdir_p(plan)
         FileUtils.rm_rf(inbox)
@@ -111,11 +111,11 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         File.write(File.join(brainstorm, "brainstorm.md"), "## Requirements\n<!-- COMPLETE -->\n")
-        plan = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        plan = File.join(dir, ".hive", "stages", "3-plan", slug)
         ENV["HIVE_FAKE_CLAUDE_WRITE_FILE"] = File.join(plan, "plan.md")
         ENV["HIVE_FAKE_CLAUDE_WRITE_CONTENT"] = "## Plan\n<!-- WAITING -->\n"
 
@@ -138,18 +138,18 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        done = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(File.dirname(done))
         FileUtils.mv(inbox, done)
         # task.md is the state file for done stage.
         File.write(File.join(done, "task.md"), "## archived\n<!-- COMPLETE -->\n")
 
-        log_before = `git -C #{File.join(dir, ".hive-state")} log --oneline`.lines.size
+        log_before = `git -C #{File.join(dir, ".hive")} log --oneline`.lines.size
 
         out, _err = capture_io { Hive::Commands::StageAction.new("archive", slug).call }
         assert_includes out, "noop"
 
-        log_after = `git -C #{File.join(dir, ".hive-state")} log --oneline`.lines.size
+        log_after = `git -C #{File.join(dir, ".hive")} log --oneline`.lines.size
         assert_equal log_before, log_after,
                      "archive on an already-archived task must not write a new commit"
       end
@@ -160,7 +160,7 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        done = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(File.dirname(done))
         FileUtils.mv(inbox, done)
         File.write(File.join(done, "task.md"), "## archived\n<!-- COMPLETE -->\n")
@@ -184,7 +184,7 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         File.write(File.join(brainstorm, "brainstorm.md"), "## Round 1\n<!-- WAITING -->\n")
@@ -209,11 +209,11 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        brainstorm = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm))
         FileUtils.mv(inbox, brainstorm)
         File.write(File.join(brainstorm, "brainstorm.md"), "## Requirements\n<!-- COMPLETE -->\n")
-        plan = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        plan = File.join(dir, ".hive", "stages", "3-plan", slug)
         ENV["HIVE_FAKE_CLAUDE_WRITE_FILE"] = File.join(plan, "plan.md")
         ENV["HIVE_FAKE_CLAUDE_WRITE_CONTENT"] = "## Plan\n<!-- WAITING -->\n"
 
@@ -239,7 +239,7 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        plan = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        plan = File.join(dir, ".hive", "stages", "3-plan", slug)
         FileUtils.mkdir_p(File.dirname(plan))
         FileUtils.mv(inbox, plan)
         File.write(File.join(plan, "plan.md"), "## Plan\n<!-- WAITING -->\n")
@@ -264,12 +264,12 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        execute = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(File.dirname(execute))
         FileUtils.mv(inbox, execute)
         File.write(File.join(execute, "plan.md"), "# Plan\n<!-- COMPLETE -->\n")
         File.write(File.join(execute, "task.md"), "# task\n<!-- EXECUTE_COMPLETE -->\n")
-        open_pr = File.join(dir, ".hive-state", "stages", "5-open-pr", slug)
+        open_pr = File.join(dir, ".hive", "stages", "5-open-pr", slug)
 
         out, err, status = with_captured_exit do
           Hive::Commands::StageAction.new("open-pr", slug).call
@@ -298,7 +298,7 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        open_pr = File.join(dir, ".hive-state", "stages", "5-open-pr", slug)
+        open_pr = File.join(dir, ".hive", "stages", "5-open-pr", slug)
         FileUtils.mkdir_p(File.dirname(open_pr))
         FileUtils.mv(inbox, open_pr)
         File.write(File.join(open_pr, "task.md"), "# task\n")
@@ -308,7 +308,7 @@ class RunStageActionTest < Minitest::Test
           ---
           <!-- COMPLETE pr_url=https://example.com/pr/42 is_draft=true -->
         MD
-        review = File.join(dir, ".hive-state", "stages", "6-review", slug)
+        review = File.join(dir, ".hive", "stages", "6-review", slug)
 
         out, err, status = with_captured_exit do
           Hive::Commands::StageAction.new("review", slug).call
@@ -331,11 +331,11 @@ class RunStageActionTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         inbox, slug = seed_inbox(dir)
-        plan = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        plan = File.join(dir, ".hive", "stages", "3-plan", slug)
         FileUtils.mkdir_p(File.dirname(plan))
         FileUtils.mv(inbox, plan)
         File.write(File.join(plan, "plan.md"), "## Plan\n<!-- COMPLETE -->\n")
-        execute = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute = File.join(dir, ".hive", "stages", "4-execute", slug)
 
         # Execute stage initialises task.md and spawns implementer +
         # reviewer agents — heavier path than brainstorm/plan. The
diff --git a/test/integration/skip_worktree_test.rb b/test/integration/skip_worktree_test.rb
index bdde4ca..916903a 100644
--- a/test/integration/skip_worktree_test.rb
+++ b/test/integration/skip_worktree_test.rb
@@ -21,11 +21,11 @@ class SkipWorktreeIsolationTest < Minitest::Test
         worktree_root = Dir.mktmpdir("worktree-root")
         wt = Hive::Worktree.new(dir, "feat-iso", worktree_root: worktree_root)
         wt.create!("feat-iso", default_branch: "master")
-        refute File.exist?(File.join(wt.path, ".hive-state")),
-               ".hive-state must not be visible inside feature worktree"
+        refute File.exist?(File.join(wt.path, ".hive")),
+               ".hive must not be visible inside feature worktree"
 
         # Add another hive-state commit (new task), then check feature worktree
-        # is still clean (no untracked files originating from .hive-state).
+        # is still clean (no untracked files originating from .hive).
         capture_io { Hive::Commands::New.new(project, "second task").call }
         status_out = `git -C #{wt.path} status --porcelain`.strip
         assert_empty status_out, "feature worktree must remain clean: #{status_out.inspect}"
diff --git a/test/integration/status_legacy_layout_test.rb b/test/integration/status_legacy_layout_test.rb
index 2df22f8..8fff4db 100644
--- a/test/integration/status_legacy_layout_test.rb
+++ b/test/integration/status_legacy_layout_test.rb
@@ -104,8 +104,8 @@ class StatusLegacyLayoutTest < Minitest::Test
         # Stage dir exists but holds no task subfolders — `hive init` may
         # leave behind a `.gitkeep` from a prior layout. Only stage dirs
         # that actually shadow live state should trigger the warning.
-        FileUtils.mkdir_p(File.join(dir, ".hive-state", "stages", "6-pr"))
-        File.write(File.join(dir, ".hive-state", "stages", "6-pr", ".gitkeep"), "")
+        FileUtils.mkdir_p(File.join(dir, ".hive", "stages", "6-pr"))
+        File.write(File.join(dir, ".hive", "stages", "6-pr", ".gitkeep"), "")
 
         payload = Hive::Commands::Status.new.json_payload(Hive::Config.registered_projects)
         project = payload.fetch("projects").first
@@ -129,9 +129,9 @@ class StatusLegacyLayoutTest < Minitest::Test
         capture_io { Hive::Commands::Init.new(dir).call }
         seed_legacy_task(dir, "6-pr", "real-task-260516-aaaa")
         # Dot-prefixed name fails the leading `[a-z]` anchor.
-        FileUtils.mkdir_p(File.join(dir, ".hive-state", "stages", "6-pr", ".logs"))
+        FileUtils.mkdir_p(File.join(dir, ".hive", "stages", "6-pr", ".logs"))
         # Underscore is outside the `[a-z0-9-]` charset.
-        FileUtils.mkdir_p(File.join(dir, ".hive-state", "stages", "6-pr", "scratch_dir"))
+        FileUtils.mkdir_p(File.join(dir, ".hive", "stages", "6-pr", "scratch_dir"))
 
         payload = Hive::Commands::Status.new.json_payload(Hive::Config.registered_projects)
         project = payload.fetch("projects").first
@@ -168,7 +168,7 @@ class StatusLegacyLayoutTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
-        File.write(File.join(dir, ".hive-state", "stages", ".DS_Store"), "")
+        File.write(File.join(dir, ".hive", "stages", ".DS_Store"), "")
 
         payload = nil
         # Must not crash on the non-directory child.
@@ -183,7 +183,7 @@ class StatusLegacyLayoutTest < Minitest::Test
   private
 
   def seed_legacy_task(project_dir, stage, slug)
-    folder = File.join(project_dir, ".hive-state", "stages", stage, slug)
+    folder = File.join(project_dir, ".hive", "stages", stage, slug)
     FileUtils.mkdir_p(folder)
     File.write(File.join(folder, "task.md"), "x\n")
   end
diff --git a/test/integration/status_test.rb b/test/integration/status_test.rb
index 4de805c..48a597d 100644
--- a/test/integration/status_test.rb
+++ b/test/integration/status_test.rb
@@ -24,9 +24,9 @@ class StatusTest < Minitest::Test
         end
 
         # Move one to brainstorm, mark its state
-        inboxes = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")]
+        inboxes = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")]
         assert_equal 2, inboxes.size
-        moved = File.join(dir, ".hive-state", "stages", "2-brainstorm", File.basename(inboxes.first))
+        moved = File.join(dir, ".hive", "stages", "2-brainstorm", File.basename(inboxes.first))
         FileUtils.mkdir_p(File.dirname(moved))
         FileUtils.mv(inboxes.first, moved)
         File.write(File.join(moved, "brainstorm.md"), "## Round 1\n<!-- WAITING -->\n")
@@ -57,7 +57,7 @@ class StatusTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "stale-260424-aaaa"
-        folder = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        folder = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(folder)
         File.write(File.join(folder, "task.md"), "<!-- AGENT_WORKING pid=99999999 claude_pid=99999998 -->\n")
         out, _err = capture_io { Hive::Commands::Status.new.call }
@@ -77,7 +77,7 @@ class StatusTest < Minitest::Test
           "review-complete-260426-aaac" => "<!-- REVIEW_COMPLETE pass=1 browser=skipped -->\n"
         }
         markers.each do |slug, marker|
-          folder = File.join(dir, ".hive-state", "stages", "6-review", slug)
+          folder = File.join(dir, ".hive", "stages", "6-review", slug)
           FileUtils.mkdir_p(folder)
           File.write(File.join(folder, "task.md"), marker)
         end
